# Uses of Interface
java.lang.classfile.attribute.ModuleTargetAttribute

Packages that use ModuleTargetAttribute
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.classfile.attribute
Provides interfaces describing `class` file attributes for the `java.lang.classfile` library.

## Uses of ModuleTargetAttribute in java.lang.classfile

Methods in java.lang.classfile that return types with arguments of type ModuleTargetAttribute
Modifier and Type
Method
Description
`static AttributeMapper<ModuleTargetAttribute>`
Attributes.`moduleTarget()`
Returns the mapper for the `ModuleTarget` attribute.

## Uses of ModuleTargetAttribute in java.lang.classfile.attribute

Subinterfaces with type arguments of type ModuleTargetAttribute in java.lang.classfile.attribute
Modifier and Type
Interface
Description
`interface`
`ModuleTargetAttribute`
Models the `ModuleTarget` attribute, which can appear on classes that represent module descriptors, to represent constraints on the target platform.
Methods in java.lang.classfile.attribute that return ModuleTargetAttribute
Modifier and Type
Method
Description
`static ModuleTargetAttribute`
ModuleTargetAttribute.`of(Utf8Entry targetPlatform)`
Returns a `ModuleTarget` attribute.
`static ModuleTargetAttribute`
ModuleTargetAttribute.`of(String targetPlatform)`
Returns a `ModuleTarget` attribute.